Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.addressing.metadata
Class WSDLLocation

    java.lang.Object
      org.apache.axis2.addressing.metadata.WSDLLocation

    public class WSDLLocation

extends Object

Constructor Summary
`WSDLLocation()`
`WSDLLocation(String targetNamespace, String wsdlURL)`

Method Summary
`void` | `fromOM(org.apache.axiom.om.OMAttribute omAttribute)` Convenience method for converting an OMAttribute to an instance of either of these types.
`String` | `getLocation()`
`String` | `getTargetNamespace()`
`static boolean` | `isWSDLLocationAttribute(org.apache.axiom.om.OMAttribute omAttribute)` Static method to test whether an `OMElement` is recognized as a ServiceName element.
`void` | `setLocation(String wsdlURL)`
`void` | `setTargetNamespace(String targetNamespace)`
`org.apache.axiom.om.OMAttribute` | `toOM(org.apache.axiom.om.OMFactory factory)` Convenience method to convert an object of this type to an `OMAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSDLLocation

    public WSDLLocation()

### WSDLLocation

    public WSDLLocation(String targetNamespace,
                        String wsdlURL)

Method Detail

### getTargetNamespace

    public String getTargetNamespace()

### setTargetNamespace

    public void setTargetNamespace(String targetNamespace)

### getLocation

    public String getLocation()

### setLocation

    public void setLocation(String wsdlURL)

### toOM

    public org.apache.axiom.om.OMAttribute toOM(org.apache.axiom.om.OMFactory factory)

  Convenience method to convert an object of this type to an `OMAttribute`

  <... xmlns:wsdli="http://www.w3.org/ns/wsdl-instance" wsdli:wsdlLocation="targetNamespace wsdlURL" ...>

  Parameters:
    `factory` - `OMFactory` to use when generating `OMElement`s
  Returns:
    an `OMAttribute` that can be added to an `EndpointReference`

### fromOM

    public void fromOM(org.apache.axiom.om.OMAttribute omAttribute)
                throws AxisFault

  Convenience method for converting an OMAttribute to an instance of either of these types.

  <... xmlns:wsdli="http://www.w3.org/2006/01/wsdl-instance" wsdli:wsdlLocation="targetNamespace wsdlURL" ...>

  <... xmlns:wsdli="http://www.w3.org/ns/wsdl-instance" wsdli:wsdlLocation="targetNamespace wsdlURL" ...>

  Parameters:
    `omAttribute` - the `OMAttribute` that holds the wsdl location.
  Throws:
    `AxisFault`

### isWSDLLocationAttribute

    public static boolean isWSDLLocationAttribute(org.apache.axiom.om.OMAttribute omAttribute)

  Static method to test whether an `OMElement` is recognized as a ServiceName element. If this method returns `true` then `fromOM(OMAttribute)` is guaranteed not to throw an exception.

  Parameters:
    `omAttribute` - the `OMElement` to test.
  Returns:
    `true` if the element is a ServiceName element, `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.